Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2010-AVI-091

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 24 février 2010
No CERTA-2010-AVI-091

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Vulnérabilités dans TYPO3


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2010-AVI-091

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2010-AVI-091
Titre Vulnérabilités dans TYPO3
Date de la première version 24 février 2010
Date de la dernière version -
Source(s)  
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Contournement de la politique de sécurité ;
  • atteinte à la confidentialité des données ;
  • injection de code indirecte à distance.

2 Systèmes affectés

TYPO3 versions 4.2.x et 4.3.x.

3 Résumé

Plusieurs vulnérabilités de TYPO3 permettent à un utilisateur malveillant de contourner la politique de sécurité, d'accéder à des données sensibles ou de réaliser de l'injection de code indirecte.

4 Description

Plusieurs vulnérabilités de TYPO3 ont été publiée :
  • dans le module backend, un utilisateur authentifié peut, dans certaines conditions, accéder à des données d'autres utilisateurs de ce module ;
  • ce même module permet à un utilisateur authentifié de réaliser de l'injection de code indirecte (XSS) ;
  • quand TYPO3 est exécuter comme CGI sur PHP, une adresse réticulaire malveillante donnée en argument au script index.php permet de provoquer l'émission d'un message d'erreur avec injection de code HTML ;
  • l'extension saltedpasswords, non active par défaut, permet, dans certaines circonstances, à un utilisateur malveillant de se connecter sans connaître le mot de passe.

5 Solution

Les versions 4.2.12 et 4.3.2 de TYPO3 remédient à ces vulnérabilités.

Se référer au bulletin de sécurité de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

24 février 2010
version initiale.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-08-22